Subject: Re: bug#75580: 30.0.93; statements inside string interpolation for csharp modes are fontified incorrectly

From: Jostein Kjønigsen <[email-masked]>
Date: Sat, 8 Feb 2025 11:22:52 +0100

I guess there were no objections?

Eli, can you install this patch?

--
Jostein Kjønigsen
https://jostein.kjønigsen.net

> On 1 Feb 2025, at 22:20, Jostein Kjønigsen <[email-masked]> wrote:
> 
> On 2/1/25 13:06, Jostein Kjønigsen wrote:
>> I don’t remember exactly why things ended up the way they did to be honest.
>> 
>> I tried tweaking around with the rules to see if I could get better results, but ended up with different kinds of regressions.
> 
> I had time for a little effort. :)
> 
> Attached is a pretty minimal patch which seems to work for me. I've guarded the changes behind a grammar-check, but I must admit I'm not sure if that is needed or not.
> 
> Basically I remove the override, and add more specific rules for the parts which goes "missing" without it.
> 
> Anyone have any opinions on the form of patch? Anyone want to do any additional testing?
> 
> Let me know! If not, I guess Eli you can install this at your own leisure.
> 
> --
> Jostein
> <0001-lisp-progmodes-csharp-mode.el-Improve-string-interpo.patch>